<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Services</title>
    <link rel="stylesheet"
          href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/css/bootstrap.min.css"
          integrity="sha384-PsH8R72JQ3SOdhVi3uxftmaW6Vc51MKb0q5P2rRUpPvrszuE4W1povHYgTpBfshb"
          crossorigin="anonymous">
    <style>
        img:hover {
            box-shadow: 6px 6px 3px #888888;
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="row">
            <div class="col">
                <div class="jumbotron mt-2">
                    <h1>Services</h1>
                    <hr class="my-4">
                    <button type="button" id="home" class="btn btn-primary">Dashboard</button>
                    <button type="button" id="logout" class="btn btn-secondary">Sign Out</button>
                </div>

                <div class="row">
                    <div class="col text-center">
                        <img src="https://picsum.photos/400/?image=882"
                             class="img-fluid rounded-circle"/>
                    </div>
                </div>

                <div class="row mt-2">
                    <div class="col">
                        Tum Torquatus: Prorsus, inquit, assentior; Honesta oratio, Socratica, Platonis etiam. Sumenda
                        potius quam expetenda. Odium autem et invidiam facile vitabis. Nunc haec primum fortasse
                        audientis servire debemus. Si enim ad populum me vocas, eum. An dolor longissimus quisque
                        miserrimus, voluptatem non optabiliorem diuturnitas facit?
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
            integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
            crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.3/umd/popper.min.js"
            integrity="sha384-vFJXuSJphROIrBnz7yo7oB41mKfc8JzQZiCq4NCceLEaO4IHwicKwpJf9c9IpFgh"
            crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/js/bootstrap.min.js"
            integrity="sha384-alpBpkh1PFOepccYVYDB4do5UnbKysX5WZXm3XxPqe5iKTfUKjNkCk9SaVuEZflJ"
            crossorigin="anonymous"></script>
    <script type="application/javascript">
        $(() => {
            let jwt = new URLSearchParams(document.location.search).get('jwt');
            if (jwt) {
                window.sessionStorage.setItem('JWT', jwt);
            }

            $('#logout').click(() => {
                window.sessionStorage.removeItem('JWT');
                document.location.href = '/auth/login';
            });

            $('#home').click(() => {
                document.location.href = '/protected/dashboard?jwt=' + jwt;
            });
        });
    </script>
</body>
</html>